{
    "alpm": {
        "rootDir": "/",
        "dbPath": "/var/lib/pacman",
        "pacmanConfigFile": "/etc/pacman.conf"
    },

    "aur": {
        "enabled": true
    },

    "server": {
        "listeningPort": 1234,
        "certFile": "/run/media/martchus/files/programming/projects/c++/qmake/projects/repoindex/cert/test.crt",
        "keyFile": "/run/media/martchus/files/programming/projects/c++/qmake/projects/repoindex/cert/test.key",
        "insecure": false
    },

    "repos": {
        "fromPacmanConfig": true,

        "add": [
            {"name": "ownstuff",
             "sourcesDir": "path/to/local/source/dir",
             "packagesDir": "/run/media/devel/repo/arch/ownstuff/os/x86_64",
             "upgradeSources": ["aur"],
             "server": [
                "https://localhost/repo/arch/$repo/os/$arch"
             ]
            },
            {"name": "ownstuff-testing",
             "sourcesDir": "path/to/local/source/dir",
             "packagesDir": "/run/media/devel/repo/arch/ownstuff-testing/os/x86_64",
             "upgradeSources": ["aur"],
             "server": [
                "https://localhost/repo/arch/$repo/os/$arch"
             ]
            }
        ]      
    }
}

